Skip to content
WP EngineDocumentation

Cancel a scheduled site transfer

DELETE
/sites/{site_id}/site_transfers/{transfer_id}
curl --request DELETE \
--url https://api.wpengineapi.com/v1/sites/a1b2c3d4-e5f6-41b2-b3d4-e5f6a1b2c3d4/site_transfers/7c3e1a2b-4f5d-4e6c-b7a8-d9e0f1a2b3c4 \
--header 'Authorization: Basic <credentials>'

Description

Cancels a site transfer. Only transfers that have not yet started can be cancelled; a transfer that has already started will return 409 Conflict.

site_id
required
string format: uuid

ID of the site

Example
a1b2c3d4-e5f6-41b2-b3d4-e5f6a1b2c3d4
transfer_id
required
string format: uuid

ID of the site transfer to cancel

Example
7c3e1a2b-4f5d-4e6c-b7a8-d9e0f1a2b3c4

Transfer cancelled

Authentication Error

Media typeapplication/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "Bad Credentials"
}

Not authorized

Media typeapplication/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "You don't have permission to perform that action"
}

Not found

Media typeapplication/json
object
message
required

A message regarding the error that occurred on the server

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "Not Found"
}

Conflict — transfer has already started and cannot be cancelled

Media typeapplication/json
object
message
required

A message regarding the conflict that occurred

string
documentation_url

(Optional) A URL where documentation regarding this specific error can be found

string
Example
{
"message": "Transfer has already started and cannot be cancelled"
}

Too many requests

Internal Server Error

Media typeapplication/json
object
message
required

A message regarding the error that occurred on the server

string
Example
{
"message": "An unexpected error occurred, please try again in a few minutes"
}

Service unavailable